LINUX.ORG.RU

GTK+2.0, не видят программы. ..


0

0

Всем привет ! Меня мучает такая проблема. Уже не первый раз я пытаюсь поставить программу какую-нить, и мне она выдаёт что типа пакет GTK+ 2 не установлен, но он у меня установлен и это точно ! Вот, например : configure: error: You need to install the GTK+ 2.x devel package! Но у меня стоит этот девел-пакет ! Вот, что имеем : Mandriva 200.6 1.Название: gtk+2.0 Версия: 2.8.3-4mdk 2.Название: libgtk+1.2 Версия: 1.2.10-41mdk 3.Название: libgtk+2.0_0 Версия: 2.8.3-4mdk 4.Название: libgtk+2.0_0-devel Версия: 2.8.3-4mdk 5.Название: libgtk+-x11-2.0_0 Версия: 2.8.3-4mdk

Пожалуйста, скажите как сделать так, чтобы ./configure программ видело, что им надо от GTK+2 ... Спасибо...

anonymous

Re: GTK+2.0, не видят программы. ..

Не знаю, стоит ли в данном случае посылать в FAQ, но пакет *-devel точно должен помочь.

Gharik ()

Re: GTK+2.0, не видят программы. ..

Они обычно проверяют через pkg-config

Попробуй pkg-config --cflags --libs gtk+-2.0, он тебе выдаст пути, посмотри, может они не туда указывают.

Поменять инфу в pkg-config можно через .pc файлы в /usr/lib/pkgconfig /usr/local/lib/pkgconfig и т.д.

Еще возможен вариант, что какой-то из этих путей не просматривается pkg-config а в нем и лежит описание gtk. Тогда можно сделать symlink в /usr/lib/pkgconfig.

YesSSS ★★★ ()
Ответ на: Re: GTK+2.0, не видят программы. .. от YesSSS

Re: GTK+2.0, не видят программы. ..

У меня вообще может что-то с pkg-configom происходит ... Вот, как вы сказали, ввожу, чтоб посмотреть пути, пишет : # pkg-config --cflags --libs gtk+-2.0

Package xrender was not found in the pkg-config search path.

Perhaps you should add the directory containing `xrender.pc'

to the PKG_CONFIG_PATH environment variable

Package 'xrender', required by 'cairo', not found

anonymous ()
Ответ на: Re: GTK+2.0, не видят программы. .. от anonymous

Re: GTK+2.0, не видят программы. ..

Пакеты pkg-config - зверский костыль, их имена не совпадают с дистрибутивными.

Зато понятно, в чем лаг.

не знаю, как в mandrake называются эти пакеты, но тебе нужны devel версии cairo и libXrender.

попробуй

rpm -qa | grep cairo

rpm -qa | grep rend

посмотри, что выведет

YesSSS ★★★ ()
Ответ на: Re: GTK+2.0, не видят программы. .. от anonymous

Re: GTK+2.0, не видят программы. ..

> Вы читали мой пост ? Там по-русски написано, что этот пакет стоит ...

А Вы мой? ;) Там звездочка (*) не зря, между прочим, стояла - она относится не только к "gtk+-2.0" но и ко всем его зависимостям, что успешно подтверждают дальнейшие изыскания ;)

Gharik ()
Ответ на: Re: GTK+2.0, не видят программы. .. от anonymous

Re: GTK+2.0, не видят программы. ..

Собственно, а почему в пакетном дистре вы пытаетесь что-то ставить руками, а не средствами пакетного менеджера?

Если настолько ССЗБ, то имеет смысл почитать config.log в той же директории, где происходит ./configure, обычно в нем имеется подробный отчет об ошибке с указанием того, что не найдено. Также имеет смысл сделать ./configure --help, на тему нестандартных ключей и опций, возможно расположение либок и инклюдов стоит задать явно и руками.

Gharik ()
Ответ на: Re: GTK+2.0, не видят программы. .. от YesSSS

Re: GTK+2.0, не видят программы. ..

rpm -qa | grep cairo - говорит что всё есть rpm -qa | grep rend - говорит что нету (точнее ничего не говорит :) )

rpm -q --requires gtk+2.0 - там есть эти файлы - (libXrandr.so.2 libXrender.so.1)

anonymous ()
Ответ на: Re: GTK+2.0, не видят программы. .. от YesSSS

Re: GTK+2.0, не видят программы. ..

"не знаю, как в mandrake называются эти пакеты, но тебе нужны devel версии cairo и libXrender."

$ rpm -qa | grep cairo libcairo2-static-devel-1.0.0-8mdk libcairo2-1.0.0-8mdk libcairo2-devel-1.0.0-8mdk

Это есть, а вот, блин, Хрендер молчит ...

anonymous ()
Ответ на: Re: GTK+2.0, не видят программы. .. от Gharik

Re: GTK+2.0, не видят программы. ..

"Собственно, а почему в пакетном дистре вы пытаетесь что-то ставить руками, а не средствами пакетного менеджера?"

так а если прогррамма *.tar.gz ..там её распаковать,собирать где нада, то как ? пс:чайниковский вопрос может быть :)

anonymous ()
Ответ на: Re: GTK+2.0, не видят программы. .. от anonymous

Re: GTK+2.0, не видят программы. ..

>так а если прогррамма *.tar.gz ..там её распаковать,собирать где нада, то как ?

Попробуй этим, просто позволит тебе её потом нормально удалить

http://www.kde-apps.org/content/show.php?content=33228

Еще вроде есть checkinstall, но я им не пользовался.

YesSSS ★★★ ()
Ответ на: Re: GTK+2.0, не видят программы. .. от anonymous

Re: GTK+2.0, не видят программы. ..

Попробуй

rpm -q --fileprovide libcairo2-devel-1.0.0-8mdk | grep .pc

rpm -q --fileprovide libcairo2-static-devel-1.0.0-8mdk | grep .pc

rpm -q --fileprovide libcairo2-1.0.0-8mdk | grep .pc

странно, что pkg-config не видит cairo.

Насчет xrender.

Попробуй узнать, какому пак libXrender.so.1 и поставь его devel

rpm -q --file /usr/lib/libXrender.so.1

YesSSS ★★★ ()
Ответ на: Re: GTK+2.0, не видят программы. .. от YesSSS

Re: GTK+2.0, не видят программы. ..

Узнал что libXrender.so.1 (кстати он находится в /usr/X11R6/lib) принадлежат пакету libxorg-x11 ..у меня он устанолен и ещё установлен libxorg-x11-static-devel ...

anonymous ()
Ответ на: Re: GTK+2.0, не видят программы. .. от YesSSS

Re: GTK+2.0, не видят программы. ..

Аа всё я разобрался в чём оказывается была проблема

У меня стояли пакеты libxorg-x11 и libxorg-x11-static-devel, но я ставил ещё libxorg-x11-devel, я его ставил, там проходила полоска типа всё установлена, но когда заходил в rpmdrake в инсталл программ, там опять был libxorg-x11-devel ..я снова его ставил, опять же, говорилось, что всё успешно поставлено ... Но я посомтрел какие там файлы в этом пакете и куда они должны поидее инсталиться, и их там небыло ... Вообщем я в ручную :) раскидал пакет libxorg-x11-devel ..и всё пошло !

Вот блин заморочка то а....И почему же он как бы устанавливался, но не ставился ...стока головняков я поймал с этим пакетом, блин ..

Вообщем большое спасибо YesSSS и Gharik, что помогали мне !

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.